import { window } from '../../../utils/globals';
import { useContext } from 'preact/hooks';
import { SurveyContext } from '../surveys-extension-utils';
import { PostHogLogo } from './PostHogLogo';
export function BottomSection(_a) {
    var text = _a.text, submitDisabled = _a.submitDisabled, appearance = _a.appearance, onSubmit = _a.onSubmit, link = _a.link, onPreviewSubmit = _a.onPreviewSubmit, skipSubmitButton = _a.skipSubmitButton;
    var isPreviewMode = useContext(SurveyContext).isPreviewMode;
    return (<div className="bottom-section">
            {!skipSubmitButton && (<button className="form-submit" disabled={submitDisabled} aria-label="Submit survey" type="button" onClick={function () {
                if (link) {
                    window === null || window === void 0 ? void 0 : window.open(link);
                }
                if (isPreviewMode) {
                    onPreviewSubmit === null || onPreviewSubmit === void 0 ? void 0 : onPreviewSubmit();
                }
                else {
                    onSubmit();
                }
            }}>
                    {text}
                </button>)}
            {!appearance.whiteLabel && <PostHogLogo />}
        </div>);
}
//# sourceMappingURL=BottomSection.jsx.map