import { h } from 'preact';
import { useContext } from 'preact/hooks';
import { cancelSVG } from '../icons';
import { SurveyContext, renderChildrenAsTextOrHtml } from '../surveys-extension-utils';
export function QuestionHeader(_a) {
    var question = _a.question, description = _a.description, descriptionContentType = _a.descriptionContentType, forceDisableHtml = _a.forceDisableHtml;
    return (<div className="question-header">
            <div className="survey-question">{question}</div>
            {description &&
            renderChildrenAsTextOrHtml({
                component: h('div', { className: 'survey-question-description' }),
                children: description,
                renderAsHtml: !forceDisableHtml && descriptionContentType !== 'text',
            })}
        </div>);
}
export function Cancel(_a) {
    var onClick = _a.onClick;
    var isPreviewMode = useContext(SurveyContext).isPreviewMode;
    return (<button className="form-cancel" onClick={onClick} disabled={isPreviewMode} aria-label="Close survey" type="button">
            {cancelSVG}
        </button>);
}
//# sourceMappingURL=QuestionHeader.jsx.map